Description

It would be great if we could define multiple kickstart/preseed files, and assign them to different hosts and/or operating systems.

Related issues:

Related to Foreman - Feature #13: improve debian integeration Closed

History

#1 - 01/29/2010 04:10 PM - Ohad Levy

are you actually trying to solve #13?

#2 - 01/29/2010 04:29 PM - Ric Danger

Ohad Levy wrote:

are you actually trying to solve #13?

 No.

Preseed files change a little bit for each release. For example, karmic preseed is slightly different than intrepid or debian.

But currently there is no way to change the preseed for each release.

#3 - 01/30/2010 07:30 AM - Ohad Levy

But it is a template after all, I've made a similar solution for RedHat e.g.:

if OSType== "debian" add this line etc

Can you think of use cases where it wont work?

I would really like to keep it simple with one template that works for everyone :)

#4 - 01/31/2010 01:14 PM - Ric Danger

I find that it would be easier to just input one preseed on the interface, instead of messing with the templates on the filesystem.

Either way, I was not aware I could make it like that. Sounds like a reasonable solution.

#5 - 01/31/2010 01:21 PM - Ohad Levy

- Status changed from New to Closed

Ric Danger wrote:

I find that it would be easier to just input one preseed on the interface, instead of messing with the templates on the filesystem.

Either way, I was not aware I could make it like that. Sounds like a reasonable solution.

 while you might be right that multiple templates might be useful, I aim to have as much plug and play as possible, allowing people to start deploying

without the need to change the templates at all.

hence - if you have any improvements to the current preseed template, it would be welcomed :)

Powered by TCPDF (www.tcpdf.org)

05/19/2024 1/1

https://projects.theforeman.org/issues/13
https://projects.theforeman.org/issues/13
http://www.tcpdf.org

